Disk ARchive: libdar::crit_constant_action Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::crit_constant_action Class Reference
API

the basic constant action More...

`#include <crit_action.hpp>`

Inherits libdar::crit_action.

## Public Member Functions
| crit_constant_action (over_action_data data, over_action_ea ea)
| the constuctor
| crit_constant_action (const crit_constant_action &ref)=default
crit_constant_action & | operator= (const crit_constant_action &ref)=default
virtual void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const override
| the inherited pure virtual methods from class action that must be implemented
virtual crit_action * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::crit_action
| crit_action (const crit_action &ref)=default
| crit_action (crit_action &&ref) noexcept=default
crit_action & | operator= (const crit_action &ref)=default
crit_action & | operator= (crit_action &&ref) noexcept=default
virtual | ~crit_action ()=default
| the destructor

## Private Attributes
over_action_data | x_data
over_action_ea | x_ea

## Detailed Description

the basic constant action

the resulting action is not dependant on the files to compare it always returns the action provided through its constructor

Definition at line 114 of file crit_action.hpp.

## Constructor & Destructor Documentation

## ◆ crit_constant_action()

libdar::crit_constant_action::crit_constant_action | ( | over_action_data | data,
|  | over_action_ea | ea )
| inline

the constuctor

Parameters

  [in] | data | the action to perform on data
  [in] | ea | the action to perform on EA

Definition at line 121 of file crit_action.hpp.

Referenced by clone().

## Member Function Documentation

## ◆ clone()

virtual crit_action * libdar::crit_constant_action::clone | ( |  | ) | const
| inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class crit_action hierarchy

Implements libdar::crit_action.

Definition at line 129 of file crit_action.hpp.

References crit_constant_action().

## ◆ get_action()

virtual void libdar::crit_constant_action::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea ) const
| inlineoverridevirtual

the inherited pure virtual methods from class action that must be implemented

Implements libdar::crit_action.

Definition at line 128 of file crit_action.hpp.

## Member Data Documentation

## ◆ x_data

over_action_data libdar::crit_constant_action::x_data
| private

Definition at line 132 of file crit_action.hpp.

## ◆ x_ea

over_action_ea libdar::crit_constant_action::x_ea
| private

Definition at line 133 of file crit_action.hpp.

The documentation for this class was generated from the following file:

- crit_action.hpp